﻿using Prism.Mvvm;

namespace Borepin.Model
{
    public class Machine : BindableBase
    {
        private string _ID;
        public string ID
        {
            get => _ID;
            set => SetProperty(ref _ID, value);
        }

        private string _State;
        public string State
        {
            get => _State;
            set => SetProperty(ref _State, value);
        }

        private string _Description;
        public string Description
        {
            get => _Description;
            set => SetProperty(ref _Description, value);
        }

        private string _User;
        public string User
        {
            get => _User;
            set => SetProperty(ref _User, value);
        }
    }
}
