﻿using Borepin.Model;
using Prism.Mvvm;
using Prism.Navigation;
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace Borepin.PageModel
{
    public class MachinePageModel : BindableBase
    {
        private INavigationService _NavigationService;

        public MachinePageModel(string machineID, INavigationService navigationService)
        {
            _NavigationService = navigationService;

            Machine = new Machine()
            {
                ID = machineID,
                Description = "This is a Discription",
                User = "Test User"
            };
        }

        private Machine _Machine;
        public Machine Machine
        {
            get => Machine;
            set => SetProperty(ref _Machine, value);
        }
    }
}
